Create conversation rating offer
POST
Create a rating offer for a specific conversation.
ApiKeyAuth conversation.satisfactionheader
Authorization<token>Scope: conversation.satisfaction
conversationId*integerFormat
int64The rating offer to be created for a conversation
application/json- body
userId*stringagentId*stringPlease note that providing agentId that is not part of the conversation may skew metrics in Intelligence
ratingType*stringThe type of numeric rating. E.g.: 'Csat', 'ThumbsUpOrDown', 'Nps'.
offeredAt?stringFormat
date-timeThe created conversation rating offer
application/json- response
data*curl -X POST 'https://dev.dixa.io/v1/conversations/{conversationId}/ratings/offer' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "userId": "b0323b42-c428-4afa-970e-20bf5bdeeec4", "agentId": "eeb3bbe5-0355-4ac1-8af5-20d42a3db24b", "ratingType": "Csat", "offeredAt": "2024-03-11T16:39:30Z"}'{}
"data": {}
"id": "2f0122db-0824-44d7-b39a-e1f722b8c38c",
"userId": "7a65c963-b3ca-4bd4-996e-bdbcaa620219",
"agentId": "db7f0b41-b779-4726-a673-07b2a59a550d",
"ratingType": "Csat",
"offeredAt": "2024-03-11T16:39:30Z"